=== modified file 'source/gui/settingsDialogs.py'
--- source/gui/settingsDialogs.py	2009-07-16 00:48:43 +0000
+++ source/gui/settingsDialogs.py	2009-07-16 18:54:41 +0000
@@ -258,6 +258,7 @@
 		label=wx.StaticText(self,wx.ID_ANY,label=_("&Rate:"))
 		self.rateSlider=wx.Slider(self,wx.ID_ANY,minValue=0,maxValue=100,name="Rate:")
 		self.rateSlider.Bind(wx.EVT_SLIDER,self.onRateChange)
+		self.rateSlider.Bind(wx.EVT_CHAR, self.onSliderChar)
 		self._setSliderStepSizes(self.rateSlider,getSynth().rateMinStep)
 		sizer.Add(label)
 		sizer.Add(self.rateSlider)
@@ -267,6 +268,7 @@
 		self.pitchSlider=wx.Slider(self,wx.ID_ANY,minValue=0,maxValue=100)
 		self._setSliderStepSizes(self.pitchSlider,getSynth().pitchMinStep)
 		self.pitchSlider.Bind(wx.EVT_SLIDER,self.onPitchChange)
+		self.pitchSlider.Bind(wx.EVT_CHAR, self.onSliderChar)
 		sizer.Add(label)
 		sizer.Add(self.pitchSlider)
 		settingsSizer.Add(sizer,border=10,flag=wx.BOTTOM)
@@ -275,6 +277,7 @@
 		self.inflectionSlider=wx.Slider(self,wx.ID_ANY,minValue=0,maxValue=100)
 		self._setSliderStepSizes(self.inflectionSlider,getSynth().inflectionMinStep)
 		self.inflectionSlider.Bind(wx.EVT_SLIDER,self.onInflectionChange)
+		self.inflectionSlider.Bind(wx.EVT_CHAR, self.onSliderChar)
 		sizer.Add(label)
 		sizer.Add(self.inflectionSlider)
 		settingsSizer.Add(sizer,border=10,flag=wx.BOTTOM)
@@ -283,6 +286,7 @@
 		self.volumeSlider=wx.Slider(self,wx.ID_ANY,minValue=0,maxValue=100)
 		self._setSliderStepSizes(self.volumeSlider,getSynth().volumeMinStep)
 		self.volumeSlider.Bind(wx.EVT_SLIDER,self.onVolumeChange)
+		self.volumeSlider.Bind(wx.EVT_CHAR, self.onSliderChar)
 		sizer.Add(label)
 		sizer.Add(self.volumeSlider)
 		settingsSizer.Add(sizer,border=10,flag=wx.BOTTOM)
@@ -401,6 +405,36 @@
 		config.conf["speech"][getSynth().name]["useSpellingFunctionality"]=self.useSpellingFunctionalityCheckBox.IsChecked()
 		super(VoiceSettingsDialog, self).onOk(evt)
 
+	def onSliderChar(self, evt):
+		s=evt.GetEventObject()
+		key = evt.KeyCode
+		if key == wx.WXK_UP:
+			newValue=s.Value+s.LineSize
+			if newValue >s.Max:
+				newValue=s.Max
+			s.SetValue(newValue)
+		elif key == wx.WXK_DOWN:
+			newValue=s.Value-s.LineSize
+			if newValue <s.Min:
+				newValue=s.Min
+			s.SetValue(newValue)
+		elif key == wx.WXK_PRIOR:
+			newValue=s.Value+s.PageSize
+			if newValue >s.Max:
+				newValue=s.Max
+			s.SetValue(newValue)
+		elif key == wx.WXK_NEXT:
+			newValue=s.Value-s.PageSize
+			if newValue <s.Min:
+				newValue=s.Min
+			s.SetValue(newValue)
+		elif key == wx.WXK_HOME:
+			s.SetValue(s.Max)
+		elif key == wx.WXK_END:
+			s.SetValue(s.Min)
+		else:
+			evt.Skip()
+
 class KeyboardSettingsDialog(SettingsDialog):
 	title = _("Keyboard Settings")
 

